bug-parted
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#66327: PARTED_CHECK_LIBPARTED shipped with parted 3.6 fails to detec


From: Brian C. Lane
Subject: bug#66327: PARTED_CHECK_LIBPARTED shipped with parted 3.6 fails to detect it
Date: Wed, 4 Oct 2023 13:52:03 -0700

On Tue, Oct 03, 2023 at 07:01:52PM +0200, Jan Palus wrote:
> autoconf macro PARTED_CHECK_LIBPARTED requires ped_get_version() to
> return 3 part version string or otherwise it fails with "3.6, bad
> version string"
> 
>       if ( !(version = ped_get_version ()) )
>               exit(EXIT_FAILURE);
>       if (sscanf(version, "%d.%d.%d", &major, &minor, &micro) != 3) {
>               printf("%s, bad version string\n", version);
>               exit(EXIT_FAILURE);
>       }
> 
> Therefore it fails for two part version string like "3.6".
> 
> 
> 

Thanks for the report. Where is this causing problems for you? As far as
I can tell that code has been there since the start of the git history,
and I've never seen a failure. I'm actually not sure it ever gets called
by anything -- nothing uses the PARTED_CHECK_LIBPARTED macro in the
upstream code.

I'm inclined to just delete it.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart






reply via email to

[Prev in Thread] Current Thread [Next in Thread]